## ros-kinetic-addwa-local-planner 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(addwa_local_planner)
find_package(catkin REQUIRED)
catkin_package()

EXECUTE_PROCESS( COMMAND uname -m COMMAND tr -d '\n' OUTPUT_VARIABLE ARCHITECTURE )

# check architecture before install
#if( ${ARCHITECTURE} STREQUAL "x86_64" )
#  install(
#    FILES  lib/libaddwa_local_planner.so
#    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
#  )
#endif()

=== debian/changelog ===
ros-kinetic-addwa-local-planner (0.0.12-0xenial) xenial; urgency=high

  * fix addwa build error
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-addwa-local-planner (0.0.11-0xenial) xenial; urgency=high

  * fix linking error
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-addwa-local-planner (0.0.10-0xenial) xenial; urgency=high

  * add navigation and add fix depth image dependency
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Fri, 08 Jun 2018 16:00:00 -0000

ros-kinetic-addwa-local-planner (0.0.8-0xenial) xenial; urgency=high

  * add xiaoqiang navigation
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Tue, 05 Jun 2018 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-addwa-local-planner
Section: misc
Priority: extra
Maintainer: Xie fusheng <xiefs@foxmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-base-local-planner, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-pcl-conversions, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf
Homepage: http://wiki.ros.org/addwa_local_planner
Standards-Version: 3.9.2

Package: ros-kinetic-addwa-local-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-base-local-planner, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf
Description: a modified version of dwa local planner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-addwa-local-planner//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
